#include "test_suites.h"
#include "led.h"

TEST( led_on )
{
  /* This test should confirm that the function to turn on an led works
   * Here an led is really just an int for simplicity.
   */
  
  int testLed = 0; //off
  int * ledPointer = &testLed;
  TurnLedOn(ledPointer);
  ASSERT( "LED did not turn on", testLed != 0 );
}

TEST( led_toggle )
{
  /* This should toggle led, but the on to off toggle will fail, to show what happens when a test fails */
  int testLed = 0; //off
  int * ledPointer = &testLed;
  ToggleLed(ledPointer);
  ASSERT( "led failed to toggle (off to on)", testLed != 0 );

  ToggleLed(ledPointer);
  ASSERT( "led failed to toggle (on to off)", testLed != 1 );
}

/*
 *TEST( next_test )
 *{
 *   some other code for more testing...
 *
 *   ASSERT( "message for if the test fails", 1 == 1 );
 *}
 */

TEST_SUITE( led_tests )
{
  ADD_TEST( led_on );
  ADD_TEST( led_toggle );
  //ADD_TEST( next_test );
}
